Read one step
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/steps/{step} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/steps/{step}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/steps/{step}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"parent_step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app": {
"uid": "<string>",
"name": "<string>",
"icon": "<string>",
"requires_connection": true
},
"trigger": {
"key": "<string>",
"name": "<string>"
},
"action": {
"key": "<string>",
"name": "<string>"
},
"agent": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"app_connection": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
},
"config": {},
"last_test": {
"data": {}
}
}
}{
"success": false,
"message": "Agent not found",
"data": []
}Flow Steps
Read one step
GET
/
api
/
v1
/
flow
/
{uuid}
/
steps
/
{step}
Read one step
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Response
OK
One step of a flow. The first step in a flow is always a trigger (kind=trigger); subsequent steps are actions. Branch children (under an if_condition) appear flat in the parent flow's steps[] with parent_step_uuid + branch_key populated.
Show child attributes
Show child attributes
Read one execution with per-step request/response/errorDelete a step (and its branch children if any)
⌘I